// 系统api
import request from "@/utils/request";
/**
 *  系统参数
 */
// 获取系统参数列表
export const getParamList = (data) => {
  return request({
    url: `/sampleform/param/list`,
    method: "post",
    data,
  });
};
// 查看系统参数
export const getParamInfo = (params) => {
  return request({
    url: `/sampleform/param/info`,
    method: "get",
    params,
  });
};
// 保存编辑系统参数
export const saveParam = (data) => {
  return request({
    url: `/sampleform/param/save`,
    method: "post",
    data,
  });
};
// 删除系统参数
export const delParam = (params) => {
  return request({
    url: `/sampleform/param/delete`,
    method: "get",
    params,
  });
};

/**
 *  任务信息
 */
// 获取任务信息列表
export const getTaskList = (data) => {
  return request({
    url: `/sampleform/task/list`,
    method: "post",
    data,
  });
};
// 查看任务信息
export const getTaskInfo = (params) => {
  return request({
    url: `/sampleform/task/info`,
    method: "get",
    params,
  });
};
// 保存编辑任务信息
export const saveTask = (data) => {
  return request({
    url: `/sampleform/task/save`,
    method: "post",
    data,
  });
};
// 删除任务信息
export const delTask = (params) => {
  return request({
    url: `/sampleform/task/delete`,
    method: "get",
    params,
  });
};

/**
 *  操作日志
 */

// 获取操作日志
export const getlogsList = (data) => {
  return request({
    url: `/sampleform/oper/log/list`,
    method: "post",
    data,
  });
};
// 查看操作日志
export const getlog = (params) => {
  return request({
    url: `/sampleform/oper/log/info`,
    method: "get",
    params,
  });
};
